_, class = UnitClass("player")
if class == "MAGE" then

local MCBombs = {
livingbomb = 44457,
nethertempest = 114923,
frostbomb = 112948,
}

local petmodes = {
["PET_MODE_ASSIST"] = true,
["PET_MODE_DEFENSIVE"] = true,
["PET_MODE_PASSIVE"] = true,
}

local combustiondelay = 0
local updateclasses = false
local MCignitetimer = 0
local curseunitsloaded = false
local setunits = false
MCsetcursetracker = false
MCMirrorImages = {}
MCCurseTrackerUnit = {}
local Group = {}


function MageCandy_TrackersOnUpdate(elapsed)

if MCsetcursetracker == true then
if UnitAffectingCombat("player") == nil then
MCsetcursetracker = false
MageCandy_Show(MCCurseTracker, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccursetracker)
MCCurseTracker:SetScale(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mccursetracker)
end
end

if setunits == true then
if UnitAffectingCombat("player") == nil then
MageCandy_UpdateGroup()
setunits = false
end
end

if updateclasses == true then
updateclasses = false
MageCandy_UpdateCurseTrackerUnits()
end

if MCCurseTracker:IsShown() and MCtimerbypass == 0 then
for idx = 1, #Group do
if IsSpellInRange(GetSpellInfo(475), Group[idx]) == 1 then
_G[MCCurseTrackerUnit[idx]:GetName().."BG"]:SetVertexColor(1, 1, 1)
else
_G[MCCurseTrackerUnit[idx]:GetName().."BG"]:SetVertexColor(1, 0, 0)
end
end
end

if MCStats:IsShown() and MCtimerbypass == 0 then
MageCandy_UpdateStats()
end

if MCWaterElementalTrackerCastBar:IsShown() == 1 then
MCWaterElementalTrackerCastBar:SetValue(MCWaterElementalTrackerCastBar:GetValue() + elapsed)
end

if combustiondelay > 0 then
combustiondelay = combustiondelay - elapsed
if combustiondelay < 0 then
combustiondelay = 0
local starttime, duration = GetSpellCooldown(11129)
MCCombustionTrackerCooldown:SetCooldown(starttime, duration)
end
end

if MCignitetimer > 0 then
MCignitetimer = MCignitetimer - elapsed
if MCignitetimer <= 0 then
MCignitetimer = 0
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBar:SetValue(0)
end
MCCombustionTrackerBar:SetValue(MCignitetimer)
end

local idx, num = 1, #MCBombs
if #MCBombs > 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcbombtracker == 1 then
MCBombTracker:Show()
while idx <= num do
MCBombs[idx].timer = MCBombs[idx].timer - elapsed
if MCBombs[idx].timer > 0 then
_G["MCBombBar"..idx]:Show()
_G["MCBombBar"..idx]:SetValue(MCBombs[idx].timer)
_G["MCBombBar"..idx.."Name"]:SetText(MCBombs[idx].name)
else
_G["MCBombBar"..idx]:Hide()
table.remove(MCBombs, idx)
idx = idx - 1
num = #MCBombs
end
idx = idx + 1
end
elseif MCtimerbypass == 0 then
MCBombTracker:Hide()
MCBombs = {
livingbomb = 44457,
nethertempest = 114923,
frostbomb = 112948,
}
end
end

function MageCandy_UpdateArcaneMastery()
local mana, manamax = UnitMana("player"), UnitManaMax("player")
if mana == nil then mana = 0 end
if manamax == nil then manamax = 0 end
local mastery = GetMasteryEffect("player")
if mastery == nil then mastery = 0 end
local mastery = MageCandy_Round((mana/manamax) * mastery, 2)
MCArcaneChargeTrackerMastery:SetText(mastery.."%")
end

function MageCandy_UpdateGroup()
Group = {}
local unit, num
if GetNumGroupMembers() > 0 then
if IsInRaid("player") then
unit = "raid"
num = 40
else
unit = "party"
num = 4
table.insert(Group, "player")
end
end
if GetNumGroupMembers() == 0 then
table.insert(Group, "player")
MageCandy_UpdateCurseTrackerUnits()
return
end
for idx = 1, num do
if UnitExists(unit..idx) then
table.insert(Group, unit..idx)
end
end
MageCandy_UpdateCurseTrackerUnits()
end

function MageCandy_UpdateCurseTrackerUnits()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}

if #MCCurseTrackerUnit > 0 then
for idx = 1, #MCCurseTrackerUnit do
MCCurseTrackerUnit[idx]:SetAlpha(0)
end
end

for idx = 1, 40 do
MCCurseTrackerUnit[idx]:SetScript("OnEnter", nil)
end

if #Group > 0 then
for idx = 1, #Group do
local classcolor = MCClassColor[select(2, UnitClass(Group[idx]))]
if classcolor == nil then classcolor = "ffffffff" end
MCCurseTrackerUnit[idx]:SetAlpha(1)
MCCurseTrackerUnit[idx]:SetScript("OnEnter", function(self)
GameTooltip:ClearAllPoints()
GameTooltip:SetOwner(self)
if Group[idx] ~= nil then
GameTooltip:SetText("|c"..classcolor..UnitName(Group[idx]).."|r")
else
GameTooltip:SetText("???")
end
GameTooltip:Show()
end)
local _, class = UnitClass(Group[idx])
if class ~= nil then
_G[MCCurseTrackerUnit[idx]:GetName().."BG"]:SetTexture("Interface\\GLUES\\CHARACTERCREATE\\UI-CHARACTERCREATE-CLASSES")
_G[MCCurseTrackerUnit[idx]:GetName().."BG"]:SetTexCoord(unpack(CLASS_ICON_TCOORDS[class]))
else
updateclasses = true
end
end
curseunitsloaded = true -- some of the icons might not be loaded properly because of the following combat conditional(problem with taint if group comp changes in combat without conditional)
end

if UnitAffectingCombat("player") == nil then
if #Group >= 8 then
MCCurseTracker:SetWidth((8 * 20) + ((8 * 3) + 9))
else
MCCurseTracker:SetWidth((#Group * 20) + ((#Group * 3) + 9))
end
MCCurseTracker:SetHeight((math.ceil(#Group / 8) * 20) + ((math.ceil(#Group / 8) * 3) + 9))
MCCurseTrackerBG:SetWidth(MCCurseTracker:GetWidth() - 5)
MCCurseTrackerBG:SetHeight(MCCurseTracker:GetHeight() - 5)
MCCurseTrackerBG:SetTexture(0, 0, 0, 0.6)
MCCurseTrackerBG:SetPoint("CENTER")
MCCurseTracker:SetBackdrop(backdrop)
for idx = 1, #Group do
MCCurseTrackerUnit[idx]:SetAttribute("unit", Group[idx])
MCCurseTrackerUnit[idx]:Enable()
end
if #Group ~= 40 then
for idx = #Group + 1, 40 do
MCCurseTrackerUnit[idx]:Disable()
end
end
setunits = false
else
setunits = true
end
end

function MageCandy_UpdateCurseTracker()
for idx = 1, #Group do
local index = idx
for idx = 1, 40 do 
local name, _, _, _, debufftype = UnitDebuff(Group[index], idx)
if debufftype == "Curse" then
_G[MCCurseTrackerUnit[index]:GetName().."Cursed"]:Show()
break
else
_G[MCCurseTrackerUnit[index]:GetName().."Cursed"]:Hide()
end
if name == nil then break end
end
end
end

function MageCandy_UpdatePetMode()
for idx = 1, 10 do
local name, _, texture, _, active = GetPetActionInfo(idx)
if petmodes[name] and active == 1 then
SetPortraitToTexture(MCWaterElementalTrackerHealthBarIcon, _G[texture])
end
end
end

function MageCandy_GetGUID(guid, tbl)

if #tbl > 0 then
for idx = 1, #tbl do
if tbl[idx].guid == guid then
return tbl[idx].guid
end
end
end
return 0
end

function MageCandy_UpdateStats() -- Called from Timers.lua in MageCandy_TimerHandler
local text, combatregen = "", nil
text = "|cff00ff00"..MageCandy_ShortNumber(GetSpellBonusDamage(3) or 0).."|r|cffffffff"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((UnitSpellHaste("player") or 0), 2)).."%"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((GetSpellCritChance(3) or 0), 2)).."%"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((GetMasteryEffect() or 0), 2)).."%"
_, combatregen = GetPowerRegen()
if combatregen == nil then combatregen = 0 end
text = text.."\n"..(floor(combatregen*5)/5)..MageCandyLocal["PERSEC"].."|r"
MCStatsText:SetText(text)
end

function MageCandy_MirrorImageTrackerUpdate(event, sguid, tguid, swingamount, spellamount)

if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == 1 and (#MCMirrorImages > 0 or event == "SPELL_SUMMON")  then
if event == "SPELL_SUMMON" then
MCMirrorImageTracker:Show()
for idx = 1, #MCMirrorImages do
_G["MCMirror"..idx.."Bar"]:SetMinMaxValues(0, MCMirrorImages[idx].healthmax)
_G["MCMirror"..idx.."Bar"]:SetValue(MCMirrorImages[idx].health)
end

elseif event == "UNIT_DIED" then
for idx = 1, 3 do
if MCMirrorImages[idx] then
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = 0
break
end
end
end

elseif event == "SPELL_DAMAGE" or event == "SPELL_PERIODIC_DAMAGE" or event == "RANGE_DAMAGE" or event == "ENVIRONMENTAL_DAMAGE" then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health - spellamount
break
end
end

elseif event == "SWING_DAMAGE" then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health - swingamount
break
end
end

elseif MCHealEvents[event] then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health + spellamount
break
end
end
end
-------
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
if MCMirrorImages[idx].health > MCMirrorImages[idx].healthmax then
MCMirrorImages[idx].health = MCMirrorImages[idx].healthmax
elseif MCMirrorImages[idx].health < 0 then
MCMirrorImages[idx].health = 0
end
_G["MCMirror"..idx.."Bar"]:SetValue(MCMirrorImages[idx].health)
break
end
end
else
if MCtimerbypass == 0 then
MCMirrorImageTracker:Hide()
end
MCMirrorImages = {}
end

if MCMirror1Bar:GetValue() == 0 and MCMirror2Bar:GetValue() == 0 and MCMirror3Bar:GetValue() == 0 then
if MCtimerbypass == 0 then
MCMirrorImageTracker:Hide()
end
MCMirrorImages = {}
end

end

function MageCandy_BombTrackerUpdate(event, sguid, tguid, tname, id, spellname)
local duration, expirationtime = 0, 0
if sguid == UnitGUID("player") and (event == "SPELL_AURA_REFRESH" or event == "SPELL_AURA_APPLIED") and sguid == UnitGUID("player") then
if #MCBombs > 0 then
for idx = 1, #MCBombs do
if MCBombs[idx] then
if MCBombs[idx].guid == tguid then
table.remove(MCBombs, idx)
end
end
end
end
if UnitGUID("target") == tguid then
duration, expirationtime = MageCandy_ScanUnit("target", "debuff", "player", id)
elseif UnitGUID("focus") == tguid then
duration, expirationtime = MageCandy_ScanUnit("focus", "debuff", "player", id)
elseif UnitGUID("mouseover") == tguid then
duration, expirationtime = MageCandy_ScanUnit("mouseover", "debuff", "player", id)
elseif UnitGUID("arena1") == tguid then
duration, expirationtime = MageCandy_ScanUnit("arena1", "debuff", "player", id)
elseif UnitGUID("arena2") == tguid then
duration, expirationtime = MageCandy_ScanUnit("arena2", "debuff", "player", id)
elseif UnitGUID("arena3") == tguid then
duration, expirationtime = MageCandy_ScanUnit("arena3", "debuff", "player", id)
elseif UnitGUID("arena4") == tguid then
duration, expirationtime = MageCandy_ScanUnit("arena4", "debuff", "player", id)
elseif UnitGUID("arena5") == tguid then
duration, expirationtime = MageCandy_ScanUnit("arena5", "debuff", "player", id)
end
if duration ~= 0 and expirationtime ~= 0 then
table.insert(MCBombs, 1, {guid = tguid, name = tname, duration = duration, timer = expirationtime - GetTime(), bombid = id})
if #MCBombs > 5 then
table.remove(MCBombs, 6)
end

else
if id == MCBombs.frostbomb then
table.insert(MCBombs, 1, {guid = tguid, name = tname, duration = 4, timer = 4, update = true, bombid = id})
elseif id == MCBombs.livingbomb then
table.insert(MCBombs, 1, {guid = tguid, name = tname, duration = 12, timer = 12, update = true, bombid = id})
elseif id == MCBombs.nethertempest then
table.insert(MCBombs, 1, {guid = tguid, name = tname, duration = 12, timer = 12, update = true, bombid = id})
end

if #MCBombs > 5 then
table.remove(MCBombs, 6)
end
end

elseif (event == "SPELL_AURA_REMOVED" or event == "SPELL_AURA_EXPIRED") and sguid == UnitGUID("player") then
if #MCBombs > 0 then
for idx = 1, #MCBombs do
if MCBombs[idx] then
if MCBombs[idx].guid == tguid then
table.remove(MCBombs, idx)
end
end
end
end
end

for idx = 1, 5 do
_G["MCBombBar"..idx]:Hide()
end

if #MCBombs > 0  then
for idx = 1, #MCBombs do
_G["MCBombBar"..idx]:SetMinMaxValues(0, MCBombs[idx].duration)
_G["MCBombBar"..idx]:SetValue(MCBombs[idx].timer)
_G["MCBombBar"..idx.."Name"]:SetText(MCBombs[idx].name)
end
end

end

function MageCandy_CombustionTrackerUpdate(tguid)

if UnitGUID("target") == tguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid, l, m, n, tick, p = UnitDebuff("target", "ignite")
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBar:SetValue(0)
if expirationtime == nil then 
MCignitetimer = 0
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBar:SetValue(0)
return 
end
if tick == nil then 
MCignitetimer = 0
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBar:SetValue(0)
return 
end
MCignitetimer = expirationtime - GetTime()
MCCombustionTrackerBarAmount:SetText(MageCandy_CondenseNumber(floor(tick * 0.2) * MageCandy_Round((10 * MCcombustionmultiplier) / (1/ (1 + (UnitSpellHaste("player") * 0.01))))))
end
end

-- Only manual on event handler so it can be called by name
function MageCandy_WaterElementalTrackerOnEvent(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcwaterelementaltracker == 1 and MCSpec == "Frost" then

if event == "PET_ATTACK_START" then

elseif event == "PET_ATTACK_STOP" then
if UnitExists("pet") == 1 then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(MageCandyLocal["NOT_SUMMONED"])
end
elseif event == "UNIT_TARGET" and arg1 == "pet" then
if UnitExists("pet") == 1 then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(MageCandyLocal["NOT_SUMMONED"])
end
local current, maximum = UnitHealth("pettarget"), UnitHealthMax("pettarget")
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerTargetHealthBar:SetValue(current)
MCWaterElementalTrackerTargetHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
if UnitGUID("pettarget") == nil then
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
else
MCWaterElementalTrackerTargetHealthBar:Show()
end
elseif event == "UNIT_HEALTH" and arg1 == "pet" then
local current, maximum = UnitHealth("pet"), UnitHealthMax("pet")
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerHealthBar:SetValue(current)
MCWaterElementalTrackerHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
if current == 0 then
MCWaterElementalTrackerHealthBarText:SetText(MageCandyLocal["DEAD"])
end
--elseif event == "UNIT_POWER" and arg1 == "pet" then
--local current, maximum = UnitMana("pet"), UnitManaMax("pet")
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, maximum)
--MCWaterElementalTrackerManaBar:SetValue(current)
--MCWaterElementalTrackerManaBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "UNIT_PET" and arg1 == "player" then
if UnitExists("pet") == 1 then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(MageCandyLocal["NOT_SUMMONED"])
end
local current, maximum = UnitHealth("pet"), UnitHealthMax("pet")
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerHealthBar:SetValue(current)
MCWaterElementalTrackerHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
--current, maximum = UnitMana("pet"), UnitManaMax("pet")
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, maximum)
--MCWaterElementalTrackerManaBar:SetValue(current)
--MCWaterElementalTrackerManaBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "COMBAT_LOG_EVENT_UNFILTERED" and (arg4 == UnitGUID("pettarget") or arg8 == UnitGUID("pettarget")) then
local current, maximum = UnitHealth("pettarget"), UnitHealthMax("pettarget")
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerTargetHealthBar:SetValue(current)
MCWaterElementalTrackerTargetHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "PET_BAR_UPDATE" then
MageCandy_UpdatePetMode()
elseif event == "UNIT_SPELLCAST_START" and arg1 == "pet" then
local name, _, _, _, starttime, endtime = UnitCastingInfo("pet")
local duration = (endtime - starttime) / 1000
MCWaterElementalTrackerCastBar:Show()
MCWaterElementalTrackerCastBar:SetMinMaxValues(0, duration)
MCWaterElementalTrackerCastBar:SetValue(GetTime() - (starttime / 1000))
MCWaterElementalTrackerCastBarSpell:SetText(name)
elseif event == "UNIT_SPELLCAST_STOP" and arg1 == "pet" then
MCWaterElementalTrackerCastBar:SetValue(0)
MCWaterElementalTrackerCastBar:Hide()
end

end
end

function MageCandy_CreateTrackersUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 14}

--Mirror Image Tracker--
CreateFrame("Frame", "MCMirrorImageTracker", UIParent)

MCMirrorImageTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == 1 then

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg2 == "SPELL_SUMMON" and arg4 == UnitGUID("player") and arg13 == GetSpellInfo(55342) then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == 1 then
table.insert(MCMirrorImages, {guid = arg8, healthmax = floor(UnitHealthMax("player") * 0.1), health = floor(UnitHealthMax("player") * 0.1)})
MCMirrorImageTracker:Show()
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
else
MCMirrorImageTracker:Hide()
end
end

if (MCDamageEvents[arg2] or MCHealEvents[arg2]) and MageCandy_GetGUID(arg8, MCMirrorImages) ~= 0 and MageCandy_GetGUID(arg8, MCMirrorImages) == arg8 then
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
elseif arg2 == "UNIT_DIED" and MageCandy_GetGUID(arg8, MCMirrorImages) ~= 0 and MageCandy_GetGUID(arg8, MCMirrorImages) == arg8 then
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
end

end

end
end)

MCMirrorImageTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MCMirrorImageTracker:SetPoint("CENTER", -200, 200)
MCMirrorImageTracker:SetWidth(30)
MCMirrorImageTracker:SetHeight(30)
MCMirrorImageTracker:CreateTexture("$parentBG")
MCMirrorImageTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCMirrorImageTrackerIcon:SetAllPoints()
MCMirrorImageTrackerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
CreateFrame("StatusBar", "MCMirror1Bar", MCMirrorImageTracker)
MCMirror1Bar:SetWidth(85)
MCMirror1Bar:SetHeight(12)
MCMirror1Bar:SetPoint("TOP", MCMirrorImageTrackerIcon, "BOTTOM", 0,  -3)
MCMirror1Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror1Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror1Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror1Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror1BarBackground:SetWidth(MCMirror1Bar:GetWidth())
MCMirror1BarBackground:SetHeight(MCMirror1Bar:GetHeight())
MCMirror1BarBackground:SetPoint("CENTER")
MCMirror1BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror1BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror1", MCMirror1Bar)
MCMirror1:SetWidth(90)
MCMirror1:SetHeight(17)
MCMirror1:SetPoint("CENTER")
MCMirror1:SetBackdrop(backdrop)
MCMirror1BarText = MCMirror1Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror1BarText:SetPoint("CENTER", MCMirror1Bar, "CENTER", 0, 0)
MCMirror1BarText:SetTextColor(1, 1, 1)
MCMirror1BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror2Bar", MCMirrorImageTracker)
MCMirror2Bar:SetWidth(85)
MCMirror2Bar:SetHeight(12)
MCMirror2Bar:SetPoint("TOP", MCMirror1Bar, "BOTTOM", 0,  -3)
MCMirror2Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror2Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror2Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror2Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror2BarBackground:SetWidth(MCMirror2Bar:GetWidth())
MCMirror2BarBackground:SetHeight(MCMirror2Bar:GetHeight())
MCMirror2BarBackground:SetPoint("CENTER")
MCMirror2BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror2BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror2", MCMirror2Bar)
MCMirror2:SetWidth(90)
MCMirror2:SetHeight(17)
MCMirror2:SetPoint("CENTER")
MCMirror2:SetBackdrop(backdrop)
MCMirror2BarText = MCMirror2Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror2BarText:SetPoint("CENTER", MCMirror2Bar, "CENTER", 0, 0)
MCMirror2BarText:SetTextColor(1, 1, 1)
MCMirror2BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror3Bar", MCMirrorImageTracker)
MCMirror3Bar:SetWidth(85)
MCMirror3Bar:SetHeight(12)
MCMirror3Bar:SetPoint("TOP", MCMirror2Bar, "BOTTOM", 0, -3)
MCMirror3Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror3Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror3Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror3BarBackground:SetWidth(MCMirror3Bar:GetWidth())
MCMirror3BarBackground:SetHeight(MCMirror3Bar:GetHeight())
MCMirror3BarBackground:SetPoint("CENTER")
MCMirror3BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror3BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror3", MCMirror3Bar)
MCMirror3:SetWidth(90)
MCMirror3:SetHeight(17)
MCMirror3:SetPoint("CENTER")
MCMirror3:SetBackdrop(backdrop)
MCMirror3BarText = MCMirror3Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror3BarText:SetPoint("CENTER", MCMirror3Bar, "CENTER", 0, 0)
MCMirror3BarText:SetTextColor(1, 1, 1)
MCMirror3BarText:SetTextHeight(11)
MCMirror1Bar:SetStatusBarColor(0, 1, 0)
MCMirror2Bar:SetStatusBarColor(0, 1, 0)
MCMirror3Bar:SetStatusBarColor(0, 1, 0)
MCMirrorImageTracker:Hide()


--Bomb Tracker--
CreateFrame("Frame", "MCBombTracker", UIParent)

MCBombTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcbombtracker == 1 then

if event == "PLAYER_TARGET_CHANGED" then
if #MCBombs > 0 then
for idx = 1, #MCBombs do
if MCBombs[idx].update then 
if MCBombs[idx].guid == UnitGUID("target") then
local duration, expirationtime = 0, 0
duration, expirationtime = MageCandy_ScanUnit("target", "debuff", "player", MCBombs[idx].bombid)
if duration ~= 0 and expirationtime ~= 0 then
MCBombs[idx].update = nil
MCBombs[idx].duration = duration
MCBombs[idx].timer = expirationtime - GetTime()
_G["MCBombBar"..idx]:SetMinMaxValues(0, duration)
end
end
end
end
end
end

if event == "PLAYER_FOCUS_CHANGED" then
if #MCBombs > 0 then 
for idx = 1, #MCBombs do
if MCBombs[idx].update then
if MCBombs[idx].guid == UnitGUID("focus") then
local duration, expirationtime = 0, 0
duration, expirationtime = MageCandy_ScanUnit("focus", "debuff", "player", MCBombs[idx].bombid)
if duration ~= 0 and expirationtime ~= 0 then
MCBombs[idx].update = nil
MCBombs[idx].duration = duration
MCBombs[idx].timer = expirationtime - GetTime()
_G["MCBombBar"..idx]:SetMinMaxValues(0, duration)
end
end
end
end
end
end

if event == "UPDATE_MOUSEOVER_UNIT" then
if #MCBombs > 0 then 
for idx = 1, #MCBombs do
if MCBombs[idx].update then
if MCBombs[idx].guid == UnitGUID("mouseover") then
local duration, expirationtime = 0, 0
duration, expirationtime = MageCandy_ScanUnit("mouseover", "debuff", "player", MCBombs[idx].bombid)
if duration ~= 0 and expirationtime ~= 0 then
MCBombs[idx].update = nil
MCBombs[idx].duration = duration
MCBombs[idx].timer = expirationtime - GetTime()
_G["MCBombBar"..idx]:SetMinMaxValues(0, duration)
end
end
end
end
end
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" then
if (arg4 == UnitGUID("player") or MageCandy_GetGUID(arg8, MCBombs) ~= 0) and (arg12 == MCBombs.livingbomb or arg12 == MCBombs.frostbomb or arg12 == MCBombs.nethertempest) then
MageCandy_BombTrackerUpdate(arg2, arg4, arg8, arg9, arg12, arg13)
end
end

end
end)

MCBombTracker:RegisterEvent("PLAYER_TARGET_CHANGED")
MCBombTracker:RegisterEvent("PLAYER_FOCUS_CHANGED")
MCBombTracker:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
MCBombTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MCBombTracker:SetPoint("CENTER", -400, 200)
MCBombTracker:SetWidth(35)
MCBombTracker:SetHeight(35)
MCBombTracker:CreateTexture("$parentBG")
MCBombTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCBombTrackerIcon:SetAllPoints()
MCBombTrackerIcon:SetTexture("Interface\\Icons\\Ability_Mage_LivingBomb")
for idx = 1, 5 do
local frame, name, text
frame = CreateFrame("StatusBar", "MCBombBar"..idx, MCBombTracker)
frame:SetWidth(120)
frame:SetHeight(13)
if idx == 1 then
frame:SetPoint("TOP", MCBombTrackerIcon, "BOTTOM", 0, 0)
else
frame:SetPoint("TOP", _G["MCBombBar"..idx - 1], "BOTTOM", 0, 0)
end
frame:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
frame:SetStatusBarColor(0, 0.7, 1)
frame:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(string.sub(self:GetValue(), 1, 4))
end)
frame:SetStatusBarColor(0, 0.7, 1)
name = frame:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
name:SetPoint("LEFT", frame, "LEFT", 1, 0)
name:SetTextColor(1, 1, 1)
name:SetTextHeight(13)
name:SetJustifyH("LEFT")
name:SetWidth(85)
name:SetHeight(11)
text = frame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetPoint("RIGHT", frame, "RIGHT", -1, 0)
text:SetTextColor(1, 1, 1)
text:SetTextHeight(13)
text:SetJustifyH("RIGHT")
end


--Create Combustion Tracker
CreateFrame("Frame", "MCCombustionTracker", UIParent)

MCCombustionTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccombustiontracker == 1 and MCSpec == "Fire" then

if event == "PLAYER_TARGET_CHANGED" then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccombustiontracker == 1 then
MageCandy_CombustionTrackerUpdate(UnitGUID("target"))
end
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg2 == "SPELL_CAST_SUCCESS" and arg4 == UnitGUID("player") and arg12 == 11129 then -- combustion
combustiondelay = 0.1
end

if arg4 == UnitGUID("player") and arg12 == MCSpellID["Ignite"] then
if (arg2 == "SPELL_AURA_APPLIED" or arg2 == "SPELL_AURA_REFRESH") then
MageCandy_CombustionTrackerUpdate(arg8)
elseif arg2 == "SPELL_PERIODIC_DAMAGE" and arg8 == UnitGUID("target") then
elseif (arg2 == "SPELL_AURA_REMOVED" or arg2 == "SPELL_AURA_EXPIRED") and arg8 == UnitGUID("target") then
MCignitetimer = 0.01
end
end

end

end
end)

MCCombustionTracker:RegisterEvent("PLAYER_TARGET_CHANGED")
MCCombustionTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MCCombustionTracker:SetPoint("CENTER", -500, 0)
MCCombustionTracker:SetWidth(141)
MCCombustionTracker:SetHeight(37)
MCCombustionTracker:CreateTexture("$parentBG", "BACKGROUND")
MCCombustionTrackerBG:SetWidth(MCCombustionTracker:GetWidth() - 5)
MCCombustionTrackerBG:SetHeight(MCCombustionTracker:GetHeight() - 5)
MCCombustionTrackerBG:SetPoint("CENTER")
MCCombustionTrackerBG:SetTexture(0, 0, 0, 0.6)
MCCombustionTracker:SetBackdrop(backdrop)
MCCombustionTracker:CreateTexture("$parentIcon", "ARTWORK")
MCCombustionTrackerIcon:SetTexture("Interface\\Icons\\Spell_Fire_SealOfFire")
MCCombustionTrackerIcon:SetHeight(30)
MCCombustionTrackerIcon:SetWidth(30)
MCCombustionTrackerIcon:SetPoint("LEFT", MCCombustionTracker, "LEFT", 3, 0)
CreateFrame("Frame", "MCCombustionTrackerCD", MCCombustionTracker)
MCCombustionTrackerCD:SetWidth(30)
MCCombustionTrackerCD:SetHeight(30)
MCCombustionTrackerCD:SetPoint("CENTER", MCCombustionTrackerIcon, "CENTER")
CreateFrame("Cooldown", "MCCombustionTrackerCooldown", MCCombustionTrackerCD)
MCCombustionTrackerCooldown:SetAllPoints()
CreateFrame("StatusBar", "MCCombustionTrackerBar", MCCombustionTracker)
MCCombustionTrackerBar:SetWidth(104)
MCCombustionTrackerBar:SetHeight(18)
MCCombustionTrackerBar:SetPoint("LEFT", MCCombustionTrackerIcon, "RIGHT", 0, 0)
MCCombustionTrackerBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCCombustionTrackerBar:SetStatusBarColor(0, 1, 0)
MCCombustionTrackerBar:SetMinMaxValues(0, 6)
MCCombustionTrackerBar:SetScript("OnValueChanged", function(self)
if self:GetValue() > 4 then
self:SetStatusBarColor(0, 1, 0)
elseif self:GetValue() > 2 then
self:SetStatusBarColor(1, 1, 0)
else
self:SetStatusBarColor(1, 0, 0)
end
MCCombustionTrackerBarText:SetText(string.sub(self:GetValue(), 1, 4))
end)
MCCombustionTrackerBarAmount = MCCombustionTrackerBar:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
MCCombustionTrackerBarAmount:SetPoint("LEFT", MCCombustionTrackerBar, "LEFT", 1, 0)
MCCombustionTrackerBarAmount:SetTextColor(1, 1, 1)
MCCombustionTrackerBarAmount:SetTextHeight(12)
MCCombustionTrackerBarAmount:SetJustifyH("LEFT")
MCCombustionTrackerBarAmount:SetWidth(80)
MCCombustionTrackerBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCCombustionTrackerBarText:SetPoint("RIGHT", MCCombustionTrackerBar, "RIGHT", -1, 0)
MCCombustionTrackerBarText:SetTextColor(1, 1, 1)
MCCombustionTrackerBarText:SetTextHeight(12)
MCCombustionTrackerBarText:SetJustifyH("RIGHT")
MCCombustionTrackerBar:CreateTexture("$parentTick1")
MCCombustionTrackerBarTick1:SetTexture(1, 0.55, 0)
MCCombustionTrackerBarTick1:SetWidth(1)
MCCombustionTrackerBarTick1:SetHeight(MCCombustionTracker:GetHeight() - 6)
MCCombustionTrackerBarTick1:SetPoint("CENTER", MCCombustionTrackerBar, "LEFT", (MCCombustionTrackerBar:GetWidth() / 6) * 2, 0)
MCCombustionTrackerBarTick1:SetDrawLayer("ARTWORK", 4)
MCCombustionTrackerBar:CreateTexture("$parentTick2")
MCCombustionTrackerBarTick2:SetTexture(1, 0.55, 0)
MCCombustionTrackerBarTick2:SetWidth(1)
MCCombustionTrackerBarTick2:SetHeight(MCCombustionTracker:GetHeight() - 6)
MCCombustionTrackerBarTick2:SetPoint("CENTER", MCCombustionTrackerBar, "LEFT", (MCCombustionTrackerBar:GetWidth() / 6) * 4, 0)
MCCombustionTrackerBarTick2:SetDrawLayer("ARTWORK", 4)

MCCombustionTrackerBar:SetValue(0)
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBarText:SetText(0)


-- Create Water Elemental Tracker
CreateFrame("Frame", "MCWaterElementalTracker", UIParent)

MCWaterElementalTracker:SetScript("OnEvent", MageCandy_WaterElementalTrackerOnEvent)

MCWaterElementalTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
MCWaterElementalTracker:RegisterEvent("UNIT_SPELLCAST_STOP")
MCWaterElementalTracker:RegisterEvent("UNIT_SPELLCAST_START")
MCWaterElementalTracker:RegisterEvent("PET_BAR_UPDATE")
MCWaterElementalTracker:RegisterEvent("UNIT_PET")
MCWaterElementalTracker:RegisterEvent("UNIT_HEALTH")
MCWaterElementalTracker:RegisterEvent("UNIT_TARGET")
MCWaterElementalTracker:RegisterEvent("PET_ATTACK_STOP")
MCWaterElementalTracker:RegisterEvent("PET_ATTACK_START")
--MCWaterElementalTracker:RegisterEvent("UNIT_POWER")

MCWaterElementalTracker:SetPoint("CENTER", -550, -50)
MCWaterElementalTracker:SetWidth(132)
MCWaterElementalTracker:SetHeight(37)
MCWaterElementalTracker:CreateTexture("$parentBG", "BACKGROUND")
MCWaterElementalTrackerBG:SetWidth(MCWaterElementalTracker:GetWidth() - 5)
MCWaterElementalTrackerBG:SetHeight(MCWaterElementalTracker:GetHeight() - 5)
MCWaterElementalTrackerBG:SetPoint("CENTER")
MCWaterElementalTrackerBG:SetTexture(0, 0, 0, 0.6)
MCWaterElementalTracker:SetBackdrop(backdrop)


CreateFrame("StatusBar", "$parentHealthBar", MCWaterElementalTracker)
MCWaterElementalTrackerHealthBar:SetWidth(110)
MCWaterElementalTrackerHealthBar:SetHeight(9)
MCWaterElementalTrackerHealthBar:SetPoint("TOPRIGHT", MCWaterElementalTracker, "TOPRIGHT", -4, -4)
MCWaterElementalTrackerHealthBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerHealthBar:SetStatusBarColor(0, 1, 0)
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, 6)
MCWaterElementalTrackerHealthBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerHealthBarText:SetPoint("CENTER")
MCWaterElementalTrackerHealthBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerHealthBarText:SetTextHeight(11)
MCWaterElementalTrackerHealthBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerHealthBarBackground:SetWidth(MCWaterElementalTrackerHealthBar:GetWidth())
MCWaterElementalTrackerHealthBarBackground:SetHeight(MCWaterElementalTrackerHealthBar:GetHeight())
MCWaterElementalTrackerHealthBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerHealthBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerHealthBarBackground:SetVertexColor(1, 0, 0, 0.4)

MCWaterElementalTrackerHealthBar:CreateTexture("$parentIconBorder", "OVERLAY")
MCWaterElementalTrackerHealthBarIconBorder:SetTexture("Interface\\TALENTFRAME\\TalentFrame-Parts")
MCWaterElementalTrackerHealthBarIconBorder:SetTexCoord(0.74, 1, 0, 0.13)
MCWaterElementalTrackerHealthBarIconBorder:SetHeight(45)
MCWaterElementalTrackerHealthBarIconBorder:SetWidth(45)
MCWaterElementalTrackerHealthBarIconBorder:SetPoint("RIGHT", MCWaterElementalTracker, "LEFT", 26, 0)
MCWaterElementalTrackerHealthBar:CreateTexture("$parentIcon", "ARTWORK")
MCWaterElementalTrackerHealthBarIcon:SetHeight(39)
MCWaterElementalTrackerHealthBarIcon:SetWidth(39)
MCWaterElementalTrackerHealthBarIcon:SetPoint("CENTER", MCWaterElementalTrackerHealthBarIconBorder, "CENTER")
SetPortraitToTexture(MCWaterElementalTrackerHealthBarIcon, "Interface\\Icons\\Spell_Frost_SummonWaterElemental_2")

MCWaterElementalTracker:CreateFontString("$parentTarget", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerTarget:SetWidth(105)
MCWaterElementalTrackerTarget:SetHeight(12)
MCWaterElementalTrackerTarget:SetPoint("TOPLEFT", MCWaterElementalTrackerHealthBar, "BOTTOMLEFT", 6, 0)
MCWaterElementalTrackerTarget:SetJustifyH("LEFT")
MCWaterElementalTrackerTarget:SetTextHeight(11)
CreateFrame("StatusBar", "$parentTargetHealthBar", MCWaterElementalTracker)
MCWaterElementalTrackerTargetHealthBar:SetWidth(110)
MCWaterElementalTrackerTargetHealthBar:SetHeight(8)
MCWaterElementalTrackerTargetHealthBar:SetPoint("TOPLEFT", MCWaterElementalTrackerTarget, "BOTTOMLEFT", -6, 0)
MCWaterElementalTrackerTargetHealthBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerTargetHealthBar:SetStatusBarColor(0, 1, 0)
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, 6)
MCWaterElementalTrackerTargetHealthBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerTargetHealthBarText:SetPoint("CENTER")
MCWaterElementalTrackerTargetHealthBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerTargetHealthBarText:SetTextHeight(9)
MCWaterElementalTrackerTargetHealthBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerTargetHealthBarBackground:SetWidth(MCWaterElementalTrackerTargetHealthBar:GetWidth())
MCWaterElementalTrackerTargetHealthBarBackground:SetHeight(MCWaterElementalTrackerTargetHealthBar:GetHeight())
MCWaterElementalTrackerTargetHealthBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerTargetHealthBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerTargetHealthBarBackground:SetVertexColor(1, 0, 0, 0.4)
MCWaterElementalTrackerTargetHealthBar:Hide()


CreateFrame("StatusBar", "$parentCastBar", MCWaterElementalTracker)
MCWaterElementalTrackerCastBar:SetWidth(110)
MCWaterElementalTrackerCastBar:SetHeight(11)
MCWaterElementalTrackerCastBar:SetPoint("TOPRIGHT", MCWaterElementalTracker, "BOTTOMRIGHT", -4, 0)
MCWaterElementalTrackerCastBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerCastBar:SetStatusBarColor(1, 1, 0)
MCWaterElementalTrackerCastBar:CreateFontString("$parentSpell", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerCastBarSpell:SetPoint("LEFT", 2, 0)
MCWaterElementalTrackerCastBarSpell:SetTextColor(1, 1, 1)
MCWaterElementalTrackerCastBarSpell:SetTextHeight(11)
MCWaterElementalTrackerCastBarSpell:SetJustifyH("LEFT")
MCWaterElementalTrackerCastBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerCastBarText:SetPoint("RIGHT", -2, 0)
MCWaterElementalTrackerCastBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerCastBarText:SetTextHeight(11)
MCWaterElementalTrackerCastBarText:SetJustifyH("RIGHT")
MCWaterElementalTrackerCastBar:SetScript("OnValueChanged", function(self)
local minimum, maximum = self:GetMinMaxValues()
MCWaterElementalTrackerCastBarText:SetText(string.sub(maximum - self:GetValue(), 1, 4))
if self:GetValue() >= maximum then self:Hide() end
end)
MCWaterElementalTrackerCastBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerCastBarBackground:SetWidth(MCWaterElementalTrackerCastBar:GetWidth())
MCWaterElementalTrackerCastBarBackground:SetHeight(MCWaterElementalTrackerCastBar:GetHeight())
MCWaterElementalTrackerCastBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerCastBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerCastBarBackground:SetVertexColor(0, 0, 0, 0.6)
CreateFrame("Frame", "$parentBG", MCWaterElementalTrackerCastBar)
MCWaterElementalTrackerCastBarBG:SetWidth(MCWaterElementalTrackerCastBar:GetWidth() + 6)
MCWaterElementalTrackerCastBarBG:SetHeight(MCWaterElementalTrackerCastBar:GetHeight() + 6)
MCWaterElementalTrackerCastBarBG:SetPoint("CENTER", MCWaterElementalTrackerCastBar, "CENTER")
MCWaterElementalTrackerCastBarBG:SetBackdrop(backdrop)

MCWaterElementalTrackerCastBar:Hide()

MCWaterElementalTracker:SetFrameLevel(7)


--CreateFrame("StatusBar", "$parentManaBar", MCWaterElementalTracker)
--MCWaterElementalTrackerManaBar:SetWidth(118)
--MCWaterElementalTrackerManaBar:SetHeight(12)
--MCWaterElementalTrackerManaBar:SetPoint("TOP", MCWaterElementalTrackerHealthBar, "BOTTOM", 0, 0)
--MCWaterElementalTrackerManaBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
--MCWaterElementalTrackerManaBar:SetStatusBarColor(0, 0, 1)
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, 6)
--MCWaterElementalTrackerManaBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
--MCWaterElementalTrackerManaBarText:SetPoint("CENTER")
--MCWaterElementalTrackerManaBarText:SetTextColor(1, 1, 1)
--MCWaterElementalTrackerManaBarText:SetTextHeight(12)
--MCWaterElementalTrackerManaBar:CreateTexture("$parentBackground", "BACKGROUND")
--MCWaterElementalTrackerManaBarBackground:SetWidth(MCWaterElementalTrackerManaBar:GetWidth())
--MCWaterElementalTrackerManaBarBackground:SetHeight(MCWaterElementalTrackerManaBar:GetHeight())
--MCWaterElementalTrackerManaBarBackground:SetPoint("CENTER")
--MCWaterElementalTrackerManaBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
--MCWaterElementalTrackerManaBarBackground:SetVertexColor(0, 0.3, 1, 0.4)

-- Create Stat Monitor
MCStats = CreateFrame("Frame", "MCStats", UIParent)

MCStats:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats == 1 then

if event == "UNIT_AURA" and arg1 == "player" then
MageCandy_UpdateStats()
end

end
end)

MCStats:RegisterEvent("UNIT_AURA")

MCStats:SetWidth(150)
MCStats:SetHeight(86)
MCStats:SetPoint("CENTER", UIParent, "CENTER", 350, 350)
MCStats:CreateTexture("$parentBG")
MCStatsBG:SetTexture(0, 0, 0, 0.8)
MCStatsBG:SetPoint("CENTER", MCStats, "CENTER")
MCStatsBG:SetWidth(MCStats:GetWidth() - 5)
MCStatsBG:SetHeight(MCStats:GetHeight() - 5)
MCStatsBG:SetDrawLayer("BACKGROUND")
MCStats:SetBackdrop(backdrop)
MCStatsHeader = MCStats:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCStatsHeader:SetPoint("TOPLEFT", MCStats, "TOPLEFT", 8, -8)
MCStatsHeader:SetJustifyH("LEFT")
MCStatsHeader:SetText("|cff00b3ff"..MageCandyLocal["STATHEADERS"].."|r")
MCStatsHeader:SetTextHeight(14)
MCStatsText = MCStats:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCStatsText:SetJustifyH("RIGHT")
MCStatsText:SetPoint("TOPRIGHT", MCStats, "TOPRIGHT", -8, -8)
MCStatsText:SetTextHeight(14)

CreateFrame("Frame", "MCCurseTracker", UIParent) -- Most of curse tracker is created in MageCandyCore.lua in the addon loaded section

MCCurseTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)

if event == "MODIFIER_STATE_CHANGED" and (arg1 == "LCTRL" or arg1 == "RCTRL") and UnitAffectingCombat("player") == nil then
if arg2 == 0 then
for idx = 1, 40 do
MCCurseTrackerUnit[idx]:EnableMouse(true)
end
elseif arg2 == 1 and UnitAffectingCombat("player") == nil then
for idx = 1, 40 do
MCCurseTrackerUnit[idx]:EnableMouse(false)
end
end
end

if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccursetracker == 1 then

if event == "PLAYER_REGEN_DISABLED" then
for idx = 1, 40 do
MCCurseTrackerUnit[idx]:EnableMouse(true)
end

elseif event == "GROUP_ROSTER_CHANGED" then
MageCandy_UpdateGroup()

elseif event == "GROUP_ROSTER_UPDATE" then
MageCandy_UpdateGroup()
end

if event == "UNIT_AURA" and curseunitsloaded == true then
MageCandy_UpdateCurseTracker()
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" and arg2 == "SPELL_DISPEL" and arg4 == UnitGUID("player") and arg15 == 475 then
print(MageCandyLocal["REMOVED"]..arg13)
end

end
end)

MCCurseTracker:RegisterEvent("PLAYER_REGEN_DISABLED")
MCCurseTracker:RegisterEvent("MODIFIER_STATE_CHANGED")
MCCurseTracker:RegisterEvent("GROUP_ROSTER_UPDATE")
MCCurseTracker:RegisterEvent("GROUP_ROSTER_CHANGED")
MCCurseTracker:RegisterEvent("VARIABLES_LOADED")
MCCurseTracker:RegisterEvent("UNIT_AURA")
MCCurseTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")


MCCurseTracker:SetPoint("CENTER")
MCCurseTracker:SetWidth(32)
MCCurseTracker:SetHeight(32)
MCCurseTracker:SetBackdrop(backdrop)
MCCurseTracker:CreateTexture("$parentBG")
MCCurseTrackerBG:SetWidth(MCCurseTracker:GetWidth() - 5)
MCCurseTrackerBG:SetHeight(MCCurseTracker:GetHeight() - 5)
MCCurseTrackerBG:SetPoint("CENTER")
MCCurseTrackerBG:SetTexture(0, 0, 0, 0.6)

MCCurseTracker:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCCurseTrackerHeader:SetPoint("BOTTOM", MCCurseTracker, "TOP", 0, 1)
MCCurseTrackerHeader:SetTextColor(0, 1, 1)
MCCurseTrackerHeader:SetText(MageCandyLocal["CURSE_TRACKER"])
MCCurseTrackerHeader:Hide()

-- Create Arcane Charge Tracker

CreateFrame("Frame", "MCArcaneChargeTracker", UIParent)

MCArcaneChargeTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanechargetracker == 1 and MCSpec == "Arcane" then

if event == "UNIT_AURA" and arg1 == "player" then
for idx = 1, 4 do
_G["MCArcaneChargeTrackerCharge"..idx]:SetValue(0)
end
local _, _, _, charges = UnitDebuff("player", GetSpellInfo(114664))
if charges == nil then charges = 0 end
local idx = 1
while charges > 0 do
_G["MCArcaneChargeTrackerCharge"..idx]:SetValue(1)
idx = idx + 1
charges = charges - 1
end
--MageCandy_UpdateArcaneMastery()

--elseif event == "UNIT_POWER_FREQUENT" and arg1 == "player" and arg2 == "MANA" then
--MageCandy_UpdateArcaneMastery()
end

end
end)

MCArcaneChargeTracker:RegisterEvent("UNIT_AURA")
--MCArcaneChargeTracker:RegisterEvent("UNIT_POWER_FREQUENT")


--CreateFrame("Frame", "$parentMasteryBG", MCArcaneChargeTracker)
--MCArcaneChargeTrackerMasteryBG:SetFrameLevel(1)
--MCArcaneChargeTrackerMasteryBG:SetWidth(60)
--MCArcaneChargeTrackerMasteryBG:SetHeight(22)
--MCArcaneChargeTrackerMasteryBG:SetPoint("BOTTOM", MCArcaneChargeTracker, "TOP")
--MCArcaneChargeTrackerMasteryBG:SetBackdrop(backdropthick)
--MCArcaneChargeTrackerMasteryBG:CreateTexture("$parentTexture")
--MCArcaneChargeTrackerMasteryBGTexture:SetTexture(0, 0, 0, 0.6)
--MCArcaneChargeTrackerMasteryBGTexture:SetWidth(MCArcaneChargeTrackerMasteryBG:GetWidth() - 5)
--MCArcaneChargeTrackerMasteryBGTexture:SetHeight(MCArcaneChargeTrackerMasteryBG:GetHeight() - 5)
--MCArcaneChargeTrackerMasteryBGTexture:SetPoint("CENTER")
--MCArcaneChargeTrackerMasteryBGTexture:SetDrawLayer("BACKGROUND")


MCArcaneChargeTracker:CreateFontString("$parentMastery", "OVERLAY", "GameFontNormal")
MCArcaneChargeTrackerMastery:SetPoint("BOTTOM", MCArcaneChargeTracker, "TOP", 0, 2)
MCArcaneChargeTrackerMastery:SetJustifyH("CENTER")
MCArcaneChargeTrackerMastery:SetTextHeight(16)
MCArcaneChargeTrackerMastery:SetTextColor(0/255, 191/255, 255/255)
MCArcaneChargeTracker:SetWidth(125)
MCArcaneChargeTracker:SetHeight(15)
MCArcaneChargeTracker:SetPoint("CENTER")

MCArcaneChargeTracker:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCArcaneChargeTrackerHeader:SetPoint("BOTTOM", MCArcaneChargeTracker, "TOP", 0, 1)
MCArcaneChargeTrackerHeader:SetTextColor(0, 1, 1)
MCArcaneChargeTrackerHeader:SetText(MageCandyLocal["ARCANE_CHARGE_TRACKER"])
MCArcaneChargeTrackerHeader:Hide()

for idx = 1, 4 do
local bar = CreateFrame("StatusBar", "$parentCharge"..idx, MCArcaneChargeTracker)
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0/255, 191/255, 255/255)
bar:SetWidth(28)
bar:SetHeight(10)
bar:SetMinMaxValues(0, 1)
bar:SetValue(0)
if idx == 1 then
bar:SetPoint("LEFT")
else
bar:SetPoint("LEFT", _G["MCArcaneChargeTrackerCharge"..idx - 1], "RIGHT", 2.5, 0)
end
local bg = bar:CreateTexture("$parentBackground", "BACKGROUND")
bg:SetWidth(bar:GetWidth())
bg:SetHeight(bar:GetHeight())
bg:SetPoint("CENTER")
bg:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
bg:SetVertexColor(0, 0, 0, 0.4)
local bd = CreateFrame("Frame", "$parentBackdrop", bar)
bd:SetWidth(bar:GetWidth() + 5)
bd:SetHeight(bar:GetHeight() + 5)
bd:SetPoint("CENTER", bar, "CENTER")
bd:SetBackdrop(backdrop)
end


-- Finish Setting Up Frames --
MageCandy_SetupFrame(MCArcaneChargeTracker)
MageCandy_SetupFrame(MCCurseTracker)
MageCandy_SetupFrame(MCMirrorImageTracker)
MageCandy_SetupFrame(MCBombTracker)
MageCandy_SetupFrame(MCCombustionTracker)
MageCandy_SetupFrame(MCStats)
MageCandy_SetupFrame(MCWaterElementalTracker)
end



function MageCandy_CreateTrackersOptionsMenu()
-- Trackers --------------------------------------------------
MageCandy.trackers = CreateFrame("Frame", "MCTrackersOptions", MCOptionsFrame)
MageCandy.trackers:SetWidth(625)
MageCandy.trackers:SetHeight(570)
MageCandy.trackers:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.trackers.name = MageCandyLocal["TRACKERS"]

MCTrackersScrollFrame = CreateFrame("ScrollFrame", "MCTrackersScrollFrame", MageCandy.trackers)
MCTrackersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCTrackersScrollFrame:SetPoint("BOTTOMRIGHT", -15, 15) 

MCTrackersContent = CreateFrame("Frame", "MCTrackersContent", MCTrackersScrollFrame)
MCTrackersContent:SetPoint("CENTER")
MCTrackersContent:SetWidth(580)
MCTrackersContent:SetHeight(2000)
MCTrackersScrollFrame:SetScrollChild(MCTrackersContent)

MCTrackersScroll = CreateFrame("Slider", "MCTrackersScroll", MCTrackersScrollFrame, "UIPanelScrollBarTemplate")
MCTrackersScroll:CreateTexture("$parentBG")
MCTrackersScrollBG:SetWidth(16)
MCTrackersScrollBG:SetHeight(445)
MCTrackersScrollBG:SetPoint("CENTER", -0.5, 0)
MCTrackersScrollBG:SetTexture(0.2, 0.2, 0.2, 0.5)
MCTrackersScroll:SetOrientation("VERTICAL")
MCTrackersScroll:SetWidth(20)
MCTrackersScroll:SetHeight(450)
MCTrackersScroll:SetPoint("RIGHT", MageCandy.trackers, "RIGHT", -5, 0)
MCTrackersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCTrackersScroll:SetValueStep(20)
MCTrackersScroll:SetValue(0)
MCTrackersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCTrackersScroll:GetValue()
if delta > 0  then
MCTrackersScroll:SetValue(scroll - MCTrackersScroll:GetValueStep())
elseif delta < 0 then
MCTrackersScroll:SetValue(scroll + MCTrackersScroll:GetValueStep())
end
end)

-------------------------------------------------------------------------
x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20 
CreateFrame("CheckButton", "MCArcaneChargeTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCArcaneChargeTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCArcaneChargeTrackerShowText:SetText(MageCandyLocal["ARCANE_CHARGE_TRACKER_SHOW"])
MCArcaneChargeTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanechargetracker)
MCArcaneChargeTrackerShowIcon = MCArcaneChargeTrackerShow:CreateTexture("$parent_Icon")
MCArcaneChargeTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTrackerShowIcon:SetWidth(32)
MCArcaneChargeTrackerShowIcon:SetHeight(32)
MCArcaneChargeTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCArcaneChargeTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["ARCANE_CHARGE_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCArcaneChargeTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCArcaneChargeTrackerScale = CreateFrame("Slider", "MCArcaneChargeTrackerScale", MCTrackersContent)
MCArcaneChargeTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCArcaneChargeTrackerScale:SetWidth(300)
MCArcaneChargeTrackerScale:SetHeight(20)
MCArcaneChargeTrackerScale:SetOrientation("HORIZONTAL")
MCArcaneChargeTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneChargeTrackerScale:SetMinMaxValues(0.5,2)
MCArcaneChargeTrackerScale:SetValue(0.5151)
MCArcaneChargeTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneChargeTrackerScale:SetScript("OnValueChanged", function (self, value) MCArcaneChargeTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneChargeTracker:SetScale(value) end)
MCArcaneChargeTrackerScaleHeader = MCTrackersContent:CreateFontString("MCArcaneChargeTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneChargeTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneChargeTrackerScale, "TOPLEFT")
MCArcaneChargeTrackerScaleHeader:SetText(MageCandyLocal["ARCANE_CHARGE_TRACKER_SCALE"])
MCArcaneChargeTrackerScaleValue = MCTrackersContent:CreateFontString("MCArcaneChargeTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneChargeTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneChargeTrackerScale, "TOPRIGHT")
MCArcaneChargeTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcarcanechargetracker, 1, 4))
-------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCBombTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCBombTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCBombTrackerShowText:SetText(MageCandyLocal["BOMB_TRACKER_SHOW"])
MCBombTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcbombtracker)
MCBombTrackerShowIcon = MCBombTrackerShow:CreateTexture("$parent_Icon")
MCBombTrackerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_LivingBomb")
MCBombTrackerShowIcon:SetWidth(32)
MCBombTrackerShowIcon:SetHeight(32)
MCBombTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCBombTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["BOMB_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCBombTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCBombTrackerScale = CreateFrame("Slider", "MCBombTrackerScale", MCTrackersContent)
MCBombTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCBombTrackerScale:SetWidth(300)
MCBombTrackerScale:SetHeight(20)
MCBombTrackerScale:SetOrientation("HORIZONTAL")
MCBombTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCBombTrackerScale:SetMinMaxValues(0.5,2)
MCBombTrackerScale:SetValue(0.5151)
MCBombTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCBombTrackerScale:SetScript("OnValueChanged", function (self, value) MCBombTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCBombTracker:SetScale(value) end)
MCBombTrackerScaleHeader = MCTrackersContent:CreateFontString("MCBombTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCBombTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCBombTrackerScale, "TOPLEFT")
MCBombTrackerScaleHeader:SetText(MageCandyLocal["BOMB_TRACKER_SCALE"])
MCBombTrackerScaleValue = MCTrackersContent:CreateFontString("MCBombTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCBombTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCBombTrackerScale, "TOPRIGHT")
MCBombTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcbombtracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCCombustionTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCCombustionTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCCombustionTrackerShowText:SetText(MageCandyLocal["COMBUSTION_TRACKER_SHOW"])
MCCombustionTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccombustiontracker)
MCCombustionTrackerShowIcon = MCCombustionTrackerShow:CreateTexture("$parent_Icon")
MCCombustionTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Fire_SealOfFire")
MCCombustionTrackerShowIcon:SetWidth(32)
MCCombustionTrackerShowIcon:SetHeight(32)
MCCombustionTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCCombustionTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["COMBUSTION_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCCombustionTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCCombustionTrackerScale = CreateFrame("Slider", "MCCombustionTrackerScale", MCTrackersContent)
MCCombustionTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCCombustionTrackerScale:SetWidth(300)
MCCombustionTrackerScale:SetHeight(20)
MCCombustionTrackerScale:SetOrientation("HORIZONTAL")
MCCombustionTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCCombustionTrackerScale:SetMinMaxValues(0.5,2)
MCCombustionTrackerScale:SetValue(0.5151)
MCCombustionTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCCombustionTrackerScale:SetScript("OnValueChanged", function (self, value) MCCombustionTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCCombustionTracker:SetScale(value) end)
MCCombustionTrackerScaleHeader = MCTrackersContent:CreateFontString("MCCombustionTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCCombustionTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCCombustionTrackerScale, "TOPLEFT")
MCCombustionTrackerScaleHeader:SetText(MageCandyLocal["COMBUSTION_TRACKER_SCALE"])
MCCombustionTrackerScaleValue = MCTrackersContent:CreateFontString("MCCombustionTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCCombustionTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCCombustionTrackerScale, "TOPRIGHT")
MCCombustionTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mccombustiontracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCCurseTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCCurseTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCCurseTrackerShowText:SetText(MageCandyLocal["CURSE_TRACKER_SHOW"])
MCCurseTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccursetracker)
MCCurseTrackerShowIcon = MCCurseTrackerShow:CreateTexture("$parent_Icon")
MCCurseTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_RemoveCurse")
MCCurseTrackerShowIcon:SetWidth(32)
MCCurseTrackerShowIcon:SetHeight(32)
MCCurseTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCCurseTrackerShow:SetScript("OnClick", function()
setunits = true
end)
MCCurseTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["CURSE_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCCurseTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCCurseTrackerScale = CreateFrame("Slider", "MCCurseTrackerScale", MCTrackersContent)
MCCurseTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCCurseTrackerScale:SetWidth(300)
MCCurseTrackerScale:SetHeight(20)
MCCurseTrackerScale:SetOrientation("HORIZONTAL")
MCCurseTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCCurseTrackerScale:SetMinMaxValues(0.5,2)
MCCurseTrackerScale:SetValue(0.5151)
MCCurseTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCCurseTrackerScale:SetScript("OnValueChanged", function (self, value) 
MCCurseTrackerScaleValue:SetText(string.sub(value, 1, 4)) 
if UnitAffectingCombat("player") == nil then 
MCCurseTracker:SetScale(value)
else
MCsetcursetracker = true
end 
end)
MCCurseTrackerScaleHeader = MCTrackersContent:CreateFontString("MCCurseTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCCurseTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCCurseTrackerScale, "TOPLEFT")
MCCurseTrackerScaleHeader:SetText(MageCandyLocal["CURSE_TRACKER_SCALE"])
MCCurseTrackerScaleValue = MCTrackersContent:CreateFontString("MCCurseTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCCurseTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCCurseTrackerScale, "TOPRIGHT")
MCCurseTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mccursetracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCStatsShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCStatsShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCStatsShowText:SetText(MageCandyLocal["STATS_SHOW"])
MCStatsShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats)
MCStatsShowIcon = MCStatsShow:CreateTexture("$parent_Icon")
MCStatsShowIcon:SetTexture("Interface\\ICONS\\INV_Staff_13")
MCStatsShowIcon:SetWidth(32)
MCStatsShowIcon:SetHeight(32)
MCStatsShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCStatsScale = CreateFrame("Slider", "MCStatsScale", MCTrackersContent)
MCStatsScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCStatsScale:SetWidth(300)
MCStatsScale:SetHeight(20)
MCStatsScale:SetOrientation("HORIZONTAL")
MCStatsScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCStatsScale:SetMinMaxValues(0.5,2)
MCStatsScale:SetValue(0.5151)
MCStatsScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCStatsScale:SetScript("OnValueChanged", function (self, value) MCStatsScaleValue:SetText(string.sub(value, 1, 4)) MCStats:SetScale(value) end)
MCStatsScaleHeader = MCTrackersContent:CreateFontString("MCStatsScaleHeader", "OVERLAY", "GameFontNormal")
MCStatsScaleHeader:SetPoint("BOTTOMLEFT", MCStatsScale, "TOPLEFT")
MCStatsScaleHeader:SetText(MageCandyLocal["STATS_SCALE"])
MCStatsScaleValue = MCTrackersContent:CreateFontString("MCStatsScaleValue", "OVERLAY", "GameFontNormal")
MCStatsScaleValue:SetPoint("BOTTOMRIGHT", MCStatsScale, "TOPRIGHT")
MCStatsScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcstats, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCMirrorImageTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCMirrorImageTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCMirrorImageTrackerShowText:SetText(MageCandyLocal["MIRROR_IMAGE_TRACKER_SHOW"])
MCMirrorImageTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker)
MCMirrorImageTrackerShowIcon = MCMirrorImageTrackerShow:CreateTexture("$parent_Icon")
MCMirrorImageTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTrackerShowIcon:SetWidth(32)
MCMirrorImageTrackerShowIcon:SetHeight(32)
MCMirrorImageTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCMirrorImageTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["MIRROR_IMAGE_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCMirrorImageTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCMirrorImageTrackerScale = CreateFrame("Slider", "MCMirrorImageTrackerScale", MCTrackersContent)
MCMirrorImageTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCMirrorImageTrackerScale:SetWidth(300)
MCMirrorImageTrackerScale:SetHeight(20)
MCMirrorImageTrackerScale:SetOrientation("HORIZONTAL")
MCMirrorImageTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCMirrorImageTrackerScale:SetMinMaxValues(0.5,2)
MCMirrorImageTrackerScale:SetValue(0.5151)
MCMirrorImageTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCMirrorImageTrackerScale:SetScript("OnValueChanged", function (self, value) MCMirrorImageTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCMirrorImageTracker:SetScale(value) end)
MCMirrorImageTrackerScaleHeader = MCTrackersContent:CreateFontString("MCMirrorImageTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCMirrorImageTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCMirrorImageTrackerScale, "TOPLEFT")
MCMirrorImageTrackerScaleHeader:SetText(MageCandyLocal["MIRROR_IMAGE_TRACKER_SCALE"])
MCMirrorImageTrackerScaleValue = MCTrackersContent:CreateFontString("MCMirrorImageTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCMirrorImageTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCMirrorImageTrackerScale, "TOPRIGHT")
MCMirrorImageTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcmirrorimagetracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCWaterElementalTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCWaterElementalTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalTrackerShowText:SetText(MageCandyLocal["WATER_ELEMENTAL_TRACKER_SHOW"])
MCWaterElementalTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcwaterelementaltracker)
MCWaterElementalTrackerShowIcon = MCWaterElementalTrackerShow:CreateTexture("$parent_Icon")
MCWaterElementalTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Frost_SummonWaterElemental_2")
MCWaterElementalTrackerShowIcon:SetWidth(32)
MCWaterElementalTrackerShowIcon:SetHeight(32)
MCWaterElementalTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCWaterElementalTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["WATER_ELEMENTAL_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCCombustionTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - 20
MCWaterElementalSound = CreateFrame("CheckButton", "MCWaterElementalSound", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCWaterElementalSound:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalSoundText:SetText(MageCandyLocal["ENABLE_WATER_ELEMENTAL_DEATH_SOUND_EFFECT"])
MCWaterElementalSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCWaterElementalSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCWaterElementalTrackerScale = CreateFrame("Slider", "MCWaterElementalTrackerScale", MCTrackersContent)
MCWaterElementalTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalTrackerScale:SetWidth(300)
MCWaterElementalTrackerScale:SetHeight(20)
MCWaterElementalTrackerScale:SetOrientation("HORIZONTAL")
MCWaterElementalTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCWaterElementalTrackerScale:SetMinMaxValues(0.5,2)
MCWaterElementalTrackerScale:SetValue(0.5151)
MCWaterElementalTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCWaterElementalTrackerScale:SetScript("OnValueChanged", function (self, value) MCWaterElementalTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCWaterElementalTracker:SetScale(value) end)
MCWaterElementalTrackerScaleHeader = MCTrackersContent:CreateFontString("MCWaterElementalTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCWaterElementalTrackerScale, "TOPLEFT")
MCWaterElementalTrackerScaleHeader:SetText(MageCandyLocal["WATER_ELEMENTAL_TRACKER_SCALE"])
MCWaterElementalTrackerScaleValue = MCTrackersContent:CreateFontString("MCWaterElementalTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCWaterElementalTrackerScale, "TOPRIGHT")
MCWaterElementalTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcwaterelementaltracker, 1, 4))
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
MCTrackersScroll:SetMinMaxValues(0, (abs(y)/60)*40 + 200)
MCTrackersScroll:SetValue(0)
MageCandy.trackers:Hide()
-------------------------------------------------------------------------
end


end